%define module	Crypt-DSA
%define name	perl-%{module}
%define version 0.14
%define release %mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        DSA Signatures and Key Generation
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%module/
Source:		http://www.cpan.org/modules/by-module/Cryp:/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:  perl(Convert::PEM)
BuildRequires:  perl(Data::Buffer)
BuildRequires:  perl(Digest::SHA1)
BuildRequires:  perl(Crypt::Random)
BuildRequires:  perl(Crypt::DES_EDE3)
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Crypt::DSA is an implementation of the DSA (Digital
Signature Algorithm) signature verification system.
The implementation itself is pure Perl, although the
heavy-duty mathematics underneath are provided by the
Math::Pari library.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Crypt
%{_mandir}/*/*



%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.14-5mdv2009.0
+ Revision: 256260
- rebuild

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-3mdv2008.1
+ Revision: 138076
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-2mdv2007.0
- fix source URL

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2007.0
- New release 0.14
- spec cleanup
- fix directory ownership

* Tue Jun 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.13-1mdk
- 0.13. Slow to test, but works.

* Tue Jun 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.12-4mdk
- spec cleanup (not ready for 0.13 yet)

* Wed Feb 09 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.12-3mdk
- rebuild for new perl

* Tue Nov 11 2003 Michael Scherer <scherer.michael@free.fr> 0.12-2mdk
- BuildRequires ( perl-Crypt-Random, perl-Digest-SHA1 )

* Thu Nov 06 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.12-1mdk
- New package

